Loading...
Searching...
No Matches
GetLower< BuildT > Struct Template Reference

Return point to the lower internal node where Coord maps to one of its values, i.e. terminates. More...

`#include <nanovdb/NanoVDB.h>`

## Static Public Member Functions

static const NanoLower< BuildT > * | get (const NanoRoot< BuildT > &)
static const NanoLower< BuildT > * | get (const typename NanoRoot< BuildT >::Tile &)
static const NanoLower< BuildT > * | get (const NanoUpper< BuildT > &, uint32_t)
static const NanoLower< BuildT > * | get (const NanoLower< BuildT > &node, uint32_t)
static const NanoLower< BuildT > * | get (const NanoLeaf< BuildT > &, uint32_t)

## Detailed Description

template<typename BuildT>
struct nanovdb::GetLower< BuildT >

Return point to the lower internal node where Coord maps to one of its values, i.e. terminates.

Template Parameters

  BuildT | Build type of the grid being called

## Member Function Documentation

## get() [1/5]

template<typename BuildT>

const NanoLower< BuildT > * get | ( | const NanoLeaf< BuildT > & | ,
|  | uint32_t | )

inline static

## get() [2/5]

template<typename BuildT>

const NanoLower< BuildT > * get | ( | const NanoLower< BuildT > & | node,
|  | uint32_t | )

inline static

## get() [3/5]

template<typename BuildT>

const NanoLower< BuildT > * get | ( | const NanoRoot< BuildT > & |  | ) |

inline static

## get() [4/5]

template<typename BuildT>

const NanoLower< BuildT > * get | ( | const NanoUpper< BuildT > & | ,
|  | uint32_t | )

inline static

## get() [5/5]

template<typename BuildT>

const NanoLower< BuildT > * get | ( | const typename NanoRoot< BuildT >::Tile & |  | ) |

inline static